(* Test for parallel and timeout code.
 * Run with: ocaml partest.ml
 * NOTE: comment out lines containing "jrh_lexer" in timeout.ml first!
 *)

#load "unix.cma"
#use "parallel.ml";;
#use "timeout.ml";;

let (--) i j = 
    let rec aux n acc =
      if n < i then acc else aux (n-1) (n :: acc)
    in aux j [] ;;

let f x = with_timeout 1 (fun () -> Format.printf "%d\n%!" x);;
par_iter f (0 -- 50000) 3;;
